http://blog.xuite.net/hankohya34/blog/63566791-Windows+%E9%81%A0%E7%AB%AF%E6%A1%8C%E9%9D%A2%E5%88%B0CentOS

先安裝XRDP

1.必須軟體

yum install gcc pam-devel openssl-devel 

yum install autoconf automake libtool 

yum install libX11-devel libXfixes-devel

yum install xrdp

2.安裝xrdp

wget http://sourceforge.net/projects/xrdp/files/xrdp/0.6.0/xrdp-v0.6.0.tar.gz/download

tar zxvf xrdp-v0.6.0.tar.gz

cd xrdp-v0.6.0

./bootstrap

./configure

make

make install

 

3.啟動指令

/etc/xrdp/xrdp.sh start

/etc/xrdp/xrdp.sh stop

 

4. 防火牆設定

iptables -A INPUT -m state --state NEW -m tcp -p tcp --dport 3389 -j ACCEPT

 

5.可以在window上試用了,打上IP

 

輸入連線的帳號密碼

 

連上了

 

 

參考資料:

http://www.wretch.cc/blog/coolchung/21959359

http://pkgs.org/centos-6-rhel-6/epel-i386/xrdp-0.5.0-0.13.el6.i686.rpm.html

http://fireball-catcher.blogspot.tw/2012/05/xrdp.html

http://pulipuli.blogspot.tw/2008/08/windowslinuxxrdpvnc-server.html

http://download.ithome.com.tw/article/index/id/767

 

出現:

connecting to 127.0.0.1 5910
error – problem connecting

vim /etc/sysconfig/vncservers

VNCSERVERS="2:root"

VNCSERVERARGS[2]="-geometry 800x600 -nolisten tcp -localhost"

service vncserver restart

如果vncserver start失敗

yum install pixman pixman-devel libXfont -y

change vncserver passwd

vncpasswd

 

出現:

[root@localhost xrdp-v0.6.0]# ./bootstrap
which: no autoconf in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/test/bin)
error, install autoconf

#yum install autoconf

 

[root@localhost xrdp-v0.6.0]# ./bootstrap
/usr/bin/autoconf
which: no automake in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/test/bin)
error, install automake

#yum install automake

 

[root@localhost xrdp-v0.6.0]# ./bootstrap
/usr/bin/autoconf
/usr/bin/automake
which: no libtool in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/test/bin)
error, install libtool

#yum install libtool

 

configure: error: please install libx11-dev or libX11-devel

 yum install libX11-devel

onfigure: error: please install libx11-dev and libxfixes-dev or libXfixes-devel

 yum install libx11-dev libxfixes-dev libXfixes-devel

http://rbgeek.wordpress.com/2012/06/26/how-to-install-vnc-server-on-centos-6/

 

 

    全站熱搜

    立你斯 發表在 痞客邦 留言(0) 人氣()